tasty-discover-4.2.1: Test discovery for the tasty framework.

Safe Haskell | Safe
Language | Haskell2010

Test.Tasty.Config

Contents

- Configuration Options
- Configuration Parser
- Configuration Defaults

Description

The test driver configuration options module.

Anything that can be passed as an argument to the test driver definition exists as a field in the `Config` type.

Synopsis

- data Config = Config {
  - modules :: Maybe GlobPattern
  - moduleSuffix :: Maybe String
  - generatedModuleName :: Maybe String
  - ignores :: Maybe GlobPattern
  - ignoredModules :: [FilePath]
  - tastyIngredients :: [Ingredient]
  - tastyOptions :: [String]
  - noModuleSuffix :: Bool
  - debug :: Bool
  - treeDisplay :: Bool
  }
- type GlobPattern = String
- parseConfig :: String -> [String] -> Either String Config
- defaultConfig :: Config

# Configuration Options

data Config Source #

The discovery and runner configuration.

Constructors

Config |

Fields

- modules :: Maybe GlobPattern

  Glob pattern for matching modules during test discovery.

- moduleSuffix :: Maybe String

  >: Module suffix.

- generatedModuleName :: Maybe String

  Name of the generated main module.

- ignores :: Maybe GlobPattern

  Glob pattern for ignoring modules during test discovery.

- ignoredModules :: [FilePath]

  >: Ignored modules by full name.

- tastyIngredients :: [Ingredient]

  Tasty ingredients to use.

- tastyOptions :: [String]

  Options passed to tasty

- noModuleSuffix :: Bool

  >: suffix and look in all modules.

- debug :: Bool

  Debug the generated module.

- treeDisplay :: Bool

  Tree display for the test results table.

#### Instances

Instances details

Show Config Source # |
Instance details Defined in Test.Tasty.Config Methods showsPrec :: Int -> Config -> ShowS Source # show :: Config -> String Source # showList :: [Config] -> ShowS Source #

type GlobPattern = String Source #

A glob pattern.

# Configuration Parser

parseConfig :: String -> [String] -> Either String Config Source #

Configuration options parser.

# Configuration Defaults

defaultConfig :: Config Source #

The default configuration